File: common-dark.css

package info (click to toggle)
gimp 3.2.0-1
  • links: PTS, VCS
  • area: main
  • in suites: sid
  • size: 222,880 kB
  • sloc: ansic: 870,914; python: 10,965; lisp: 10,857; cpp: 7,355; perl: 4,536; sh: 1,753; xml: 972; yacc: 609; lex: 348; javascript: 150; makefile: 42
file content (48 lines) | stat: -rw-r--r-- 1,131 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
/* The specific light theme interface styles for GIMP 3.0 */
/* Theme specific colors are defined in gimp-dark.css */

/* Hint for debugging themes:
 * first enable the GTK inspector with
   gsettings set org.gtk.Settings.Debug enable-inspector-keybinding true
 * then (after restarting GIMP) call it up with ctrl+shift+i
 * or from GIMP's UI: File > Debug > Start GtkInspector
 */

@import url("common.css");

/*
 * Paned separator handles
 */
paned.horizontal > separator {
  background-image: url("ui/separator-handle-v-dark.svg");
}

paned.vertical > separator {
  background-image: url("ui/separator-handle-h-dark.svg");
}

/* Top highlight for buttons */
button:not(.flat) {
  box-shadow: 0 1px @extreme-selected-color inset;
}
button:not(.flat):hover {
  box-shadow: none;
}

/* Define GimpSpinScale slider colors */
GimpSpinScale entry {
  background-color: @widget-bg-color;
}

GimpSpinScale entry progress {
  background-color: @hover-color;
}

/* progressbar color */
progressbar trough progress {
  background-color: @hover-color;
}

buttonbox button.radio:not(:checked) {
  background-color: @stronger-border-color;
}